商品评论列表
简介
获取指定商品的评论列表数据:
接口
bash
POST /product/v1/reviewListrequest body
| 字段 | 类型 | 必选 | 描述 |
|---|---|---|---|
filter | object | 否 | 过滤参数 |
orderby | array | 否 | 排序参数 |
page | integer | 否 | 默认:1 |
pagesize | integer | 否 | 默认:10 |
filter 可选值
| 字段 | 类型 | 必选 | 描述 |
|---|---|---|---|
product_id | string | 是 | 商品 ID |
orderby 可选值
| 字段 | 必选 | 描述 |
|---|---|---|
rating | 否 | 评分 |
review_id | 否 | 评论ID |
request example
bash
curl 'https://openapi.fastmoss.com/product/v1/reviewList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"product_id": "1729448464509734958",
},
"orderby": {
"field": "rating",
"order": "desc"
},
# "orderby": {
# "field": "review_id",
# "order": "desc"
# },
"page": 1,
"pagesize": 10
}'response body
data.list
| 字段 | 类型 | 描述 |
|---|---|---|
review_id | string | 评论ID |
uid | string | 用户 ID |
sku_id | string | sku ID |
sku_specification | string | sku 规格 |
rating | int | 评分 |
digg_count | int | 点赞数 |
content | string | 评论内容 |
create_time | timestamp | 创建时间 |
data.total
| 字段 | 类型 | 描述 |
|---|---|---|
total | string | 总记录数 |
response example
json
{
"code": 0,
"data": {
"list": [
{
"review_id": "7354810045655336747",
"sku_id": "1729448464509800494",
"sku_specification": "Item: Default",
"rating": 5,
"digg_count": 0,
"content": "",
"create_time": 1712425181310
},
],
"total": "3809"
},
"message": "success",
"timestamp": 1743573480,
"request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}